Bug 146469 - Cant count on action_type IDs being consistent
Cant count on action_type IDs being consistent
Status: CLOSED NOTABUG
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2005-01-28 11:46 EST by Mike McCune
Modified: 2007-04-18 13:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 18:13:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2005-01-28 11:46:44 EST
This is used as a descriminator on the Action class.

Need to see if we can use the label instead.
Comment 1 Jesus M. Rodriguez 2005-01-28 23:17:06 EST
Personally, I think this is bad.  I agree with using sequences to
generate IDs for dynamic content.  But any content that is supposed to
be a "CONSTANTS" should have its own IDs inserted into the table.

For instance, when creating a User, its id should be generated by a
sequence.  But when adding an EmailStateType, or ActionType, we should
insert the id as part of an insert statement in a script.
Comment 2 Jesus M. Rodriguez 2005-09-28 18:13:59 EDT
wasn't a problem. closing.

Note You need to log in before you can comment on or make changes to this bug.